#!/usr/bin/perl -w

package GUI::Splash;

use Gtk2 -init;
use Glib ':constants';
use Data::Dumper;
use Gtk2::GladeXML; 

my $glade=Gtk2::GladeXML->new('glade/puniconf.glade','splash_win');
my $win=$glade->get_widget('splash_win');
$progress=$glade->get_widget('splash_progress');
$win->signal_connect(show=>sub{start_update();});

$win->show;
Gtk2->main;
exit 0;

sub start_update{
	foreach $i (@ARGV){
		set_text($i);
	}
	$win->destroy;
	Gtk2->main_quit;
}
sub set_text{
	my (@text)=@_;
	shift;
	$progress->set_text(@text);
}
sub progress{
	my ($fraction)=@_;
	$progress->set_fraction($fraction);
}

1;
