#!/usr/bin/perl -w

package GUI::ToolBar;

use Data::Dumper;
use Exporter;
use Gtk2;
use Glib ':constants';

@ISA=qw/Exporter Gtk2::Toolbar/;

my @extra;


sub new{
	#warn Dumper @_;
	my ($pkgname,$glade)=@_;
	my $self={};
	$self=$glade->get_widget('main_toolbar');
	#$glade->signal_autoconnect_from_package('main_toolbar');
	#$self->set_size_request(-1,50);
    $self->insert_stock ('gtk-open',
                              "Open File...",
                              undef,
                              sub{::puniconf::doOpenItem()},
                              ::puniconf::getWindow(), # user data for callback
                              -1);  # -1 means "append"
    $self->insert_stock ('gtk-save',
                              "Save File...",
                              undef,
                              sub{::puniconf::doSaveItem()},
                              ::puniconf::getWindow(), # user data for callback
                              -1);  # -1 means "append"
    $self->insert_stock ('gtk-quit',
                              "Quit...",
                              undef,
                              sub{::puniconf::quit()},
                              ::puniconf::getWindow(), # user data for callback
                              -1);  # -1 means "append"
$self->append_space;
	bless $self;
	return $self;
}


sub addButtons{
	#warn Dumper @_;
	my $self=shift;
	my @info=@_;
	for($i=0; $i<@info;$i+=3){
		$info[$i]->show_all;
		$info[$i]->set_tooltip(puniconf::getTips,$info[$i+1],$info[$i+2]);
		push @extra,$info[$i];
		$self->insert_widget($extra[-1],$info[$i+1],$info[$i+2],-1);
	}
	#$self->set_tooltips(1);
}


sub clear{
	foreach $b (@extra){
		$b->destroy;
	}
}




1;
